image: jakzal/phpqa:php7.4

before_script:
    - composer install

cache:
    paths:
      - vendor/

stages:
    - SecurityChecker
    - CodingStandards
    - UnitTests

security-checker:
    stage: SecurityChecker
    script:
        - local-php-security-checker composer.lock
    allow_failure: false

phpcs:
    stage: CodingStandards
    script:
        - phpcs -v --standard=PSR2 --ignore=./src/Kernel.php ./src
    allow_failure: true

phpstan:
    stage: CodingStandards
    script:
        - phpstan analyse ./src
    allow_failure: true

twig-lint:
    stage: CodingStandards
    script:
        - twig-lint lint ./templates
    allow_failure: true

phpunit:
    stage: UnitTests
    script: php bin/phpunit
    allow_failure: false
